none
.NET Framework 3.0 SP1 Redistributable Installation Package

    Question

  • I've been trying to install the WCF & WPF  enhancements for VS2005 (vsextwfx.msi) and I keep getting an error message saying I need .NET Framework 3.0 installed. Now I have this installed just fine, yet I also have SP1 installed for it so my thinking is that SP1 may be preventing the installer for the enhancements from recognising that 3.0 is there.

     

    To test this idea I would like to uninstall SP1 and try installing vsextwfx.msi again.

     

    BUT I do not  want to have to reinstall SP1 by once again having the dotnetFX30SP1Setup.exe download and automatically install from the web.

     

    Is there a redistributable package for SP1 I can download now for later installation at my own convenience?
    If one isn't available now does anyone know if Microsoft is intending to make one available and/or upgrade vsextwfx.msi to provide VS2005 with  support for .NET Framework 3.0, 3.0 SP1, and possible event 3.5?

     

    I'v seen lots from Microsoft demonstrating how extensible VS is so way do we need VS2008, and after that 'Rosario', if VS2005 could have been fully extended (which I take to include extensions to is extendibility) to provide all the features the new release have?

     

     

     

     

     

    Tuesday, December 18, 2007 3:04 AM

Answers

  • Hi

     

    The bootstrapper (dotnetFX30SP1Setup.exe) will detect what is already on your machine with specific OS and download the essential pieces to install.

    You can get the individual packages by downloading them from the following fwlinks (http://go.microsoft.com/fwlink/?LinkId=#####):

    FWLink

    Product

    Description

    Directory & FileName

    98104

    NETFX 2.0 SP1*

    .NET FX 2.0 SP1 redist x64 downlevel

    .\dotNetFX20\NetFx20SP1_x64.exe

    98103

    NETFX 2.0 SP1&

    .NET FX 2.0 SP1 redist x86 downlevel

    .\dotNetFX20\NetFx20SP1_x86.exe

    98106

    NETFX 3.0 SP1*

    .NET FX 3.0 SP1 redist x64 downlevel

    .\dotNetFX30\NetFx30SP1_x64.exe

    98105

    NETFX 3.0 SP1&

    .NET FX 3.0 SP1 redist x86 downlevel

    .\dotNetFX30\NetFx30SP1_x86.exe

    72536

    NETFX3 RTM PreREQ*

    RGBRast x64 MSI

    .\dotNetFX30\RGB9RAST_x64.msi

    72535

    NETFX3 RTM PreREQ&

    RGBRast x86 MSI

    .\dotNetFX30\RGB9RAST_x86.msi

    70842

    NETFX3 RTM PreREQ*

    WIC x64

    .\dotNetFX30\WIC_x64_enu.exe

    70841

    NETFX3 RTM PreREQ&

    WIC x86

    .\dotNetFX30\WIC_x86_enu.exe

    84291

    NETFX 3.0 SP1 PreREQ*

    MSXML6 x64 GDR post 3.0 RTM update

    .\dotNetFX30\x64\msxml6.msi

    84290

    NETFX 3.0 SP1 PreREQ&

    MSXML6.0 x86 GDR post 3.0 RTM update

    .\dotNetFX30\x86\msxml6.msi

    96333

    NETFX 3.0 SP1 PreREQ*

    XPS Shared Components x64 post 3.0 RTM update

    .\dotNetFX30\XPSEPSC-amd64-en-US.exe

    96332

    NETFX 3.0 SP1 PreREQ&

    XPS Shared Components x86 post 3.0 RTM update

    .\dotNetFX30\XPSEPSC-x86-en-US.exe

    103335

    NETFX 3.0 SP1*&

    .NET FX 3.0 SP1 Download Bootstrapper

    .\dotNetFX30SP1setup.exe

    * = Applicable to X64 Architecture

    & = Applicable to x86 Architecture 

     

    For more information: http://blogs.msdn.com/aaronru/archive/2007/12/13/creating-net-framework-3-0-sp1-redist.aspx

    Thanks

    Wednesday, December 19, 2007 5:23 AM

All replies

  • Hi

     

    The bootstrapper (dotnetFX30SP1Setup.exe) will detect what is already on your machine with specific OS and download the essential pieces to install.

    You can get the individual packages by downloading them from the following fwlinks (http://go.microsoft.com/fwlink/?LinkId=#####):

    FWLink

    Product

    Description

    Directory & FileName

    98104

    NETFX 2.0 SP1*

    .NET FX 2.0 SP1 redist x64 downlevel

    .\dotNetFX20\NetFx20SP1_x64.exe

    98103

    NETFX 2.0 SP1&

    .NET FX 2.0 SP1 redist x86 downlevel

    .\dotNetFX20\NetFx20SP1_x86.exe

    98106

    NETFX 3.0 SP1*

    .NET FX 3.0 SP1 redist x64 downlevel

    .\dotNetFX30\NetFx30SP1_x64.exe

    98105

    NETFX 3.0 SP1&

    .NET FX 3.0 SP1 redist x86 downlevel

    .\dotNetFX30\NetFx30SP1_x86.exe

    72536

    NETFX3 RTM PreREQ*

    RGBRast x64 MSI

    .\dotNetFX30\RGB9RAST_x64.msi

    72535

    NETFX3 RTM PreREQ&

    RGBRast x86 MSI

    .\dotNetFX30\RGB9RAST_x86.msi

    70842

    NETFX3 RTM PreREQ*

    WIC x64

    .\dotNetFX30\WIC_x64_enu.exe

    70841

    NETFX3 RTM PreREQ&

    WIC x86

    .\dotNetFX30\WIC_x86_enu.exe

    84291

    NETFX 3.0 SP1 PreREQ*

    MSXML6 x64 GDR post 3.0 RTM update

    .\dotNetFX30\x64\msxml6.msi

    84290

    NETFX 3.0 SP1 PreREQ&

    MSXML6.0 x86 GDR post 3.0 RTM update

    .\dotNetFX30\x86\msxml6.msi

    96333

    NETFX 3.0 SP1 PreREQ*

    XPS Shared Components x64 post 3.0 RTM update

    .\dotNetFX30\XPSEPSC-amd64-en-US.exe

    96332

    NETFX 3.0 SP1 PreREQ&

    XPS Shared Components x86 post 3.0 RTM update

    .\dotNetFX30\XPSEPSC-x86-en-US.exe

    103335

    NETFX 3.0 SP1*&

    .NET FX 3.0 SP1 Download Bootstrapper

    .\dotNetFX30SP1setup.exe

    * = Applicable to X64 Architecture

    & = Applicable to x86 Architecture 

     

    For more information: http://blogs.msdn.com/aaronru/archive/2007/12/13/creating-net-framework-3-0-sp1-redist.aspx

    Thanks

    Wednesday, December 19, 2007 5:23 AM
  • Something must be missing - even after installing all x86 parts, automatic update on the Internet-enabled client PC is still telling me to download the dot.net 3.0 package...

     

    So how does one get all needed parts - as a real redistributable?

     

    Sunday, March 2, 2008 10:01 AM
  •  

    Great post and list - but I have an odd situation which one of those might actually cover.

     

    We have some servers which are behind a firewall and so can not download based on the bootstrap.  Is there an exe which has all these components within it already that I can use (or, is there an easy way to determine which ones I will need?).  I know I'm on x86, and that I need the .NET3.0 SP1.  I just do not know about the WIC and other available pieces.

     

    And, if I read this right, the .NET3.0SP1 bootstrap will actually install the .NET 2.0 SP1?

     

    Thanks,

     

    Rob

     

    Tuesday, April 22, 2008 1:26 PM
  •  

    The other post doesn't tell you where to put the files as you pull them down, but, I did find a blog out there (lost the URL since) that also mentions this.

     

    If you put the .Net 2.0 components into a folder called /dotnetFX20, and the .Net 3.0 parts and other installs into /dotnetFX30, and just put the dotnetfx30sp1setup.exe into the parent, when you run the set-up, it will still show the 'downloading' panel, but, it will go by fast and recognize the msi's are already there.

     

    For a redist, I would bet you could do a special winZip exe that launches the setup after extraction.

     

    Rob

     

    Thursday, May 15, 2008 12:49 PM
  • I have exactly the same issue as FrontierDK. After clicking on xps file an installer is downloaded. Then I see two options: uninstall or repair, which is correct because I had .NET installed earlier (2.0, 3.0 and 3.5).
    How to force Windows to recognize that .NET is already installed?
    Saturday, August 23, 2008 1:36 PM